"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useAppState = void 0;
var _react = require("react");
var _reactNative = require("react-native");
/**
 * Get the current app state
 * @returns the current app state - "active" | "background" | "inactive" | "unknown" | "extension"
 */
const useAppState = () => {
  const {
    currentState
  } = _reactNative.AppState;
  const [appState, setAppState] = (0, _react.useState)(currentState);
  (0, _react.useEffect)(() => {
    const onChange = newState => {
      setAppState(newState);
    };
    const subscription = _reactNative.AppState.addEventListener('change', onChange);
    return () => {
      subscription.remove();
    };
  }, []);
  return appState;
};
exports.useAppState = useAppState;
//# sourceMappingURL=useAppState.js.map