"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useKeyboardListeners = void 0;
var _reactNative = require("react-native");
var _useMount = require("./useMount");
/**
 * Connect your functions to correct keyboard events (show/hide)
 * @param onKeyboardShow
 * @param onKeyboardHide
 * @returns
 */
const useKeyboardListeners = (onKeyboardShow, onKeyboardHide) => (0, _useMount.useMount)(() => {
  const didShow = _reactNative.Keyboard.addListener('keyboardDidShow', onKeyboardShow);
  const didHide = _reactNative.Keyboard.addListener('keyboardDidHide', onKeyboardHide);
  return () => {
    didShow.remove();
    didHide.remove();
  };
});
exports.useKeyboardListeners = useKeyboardListeners;
//# sourceMappingURL=useKeyboardListeners.js.map