"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useSpecificKeyExtractor = void 0;
var _react = require("react");
/**
 * Creates a key extractor function for the FlatList
 * @param prefix prefix for the key
 * @param field field of the item to use as a key
 * @returns key extractor function for the FlatList
 */
const useSpecificKeyExtractor = (prefix, field) => (0, _react.useCallback)((item, index) => `${prefix}-${item[field]}-${index}`, [prefix, field]);
exports.useSpecificKeyExtractor = useSpecificKeyExtractor;
//# sourceMappingURL=useSpecificKeyExtractor.js.map