"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useStateWithPrevious = void 0;
var _react = require("react");
var _usePrevious = require("./usePrevious");
/**
 * Extends React.useState with a previous state as a first output value of array
 * @param initialValue initial value as the third value of the state and prevState
 * @returns [state, setState, prevState] - prevState is the previous state, state is the current state, setState is the setter for the state
 */
const useStateWithPrevious = initialValue => {
  const [state, setState] = (0, _react.useState)(initialValue);
  const prevState = (0, _usePrevious.usePrevious)(state);
  return [state, setState, prevState];
};
exports.useStateWithPrevious = useStateWithPrevious;
//# sourceMappingURL=useStateWithPrevious.js.map