import { useCallback } from 'react';

/**
 * Creates a key extractor function for the FlatList
 * @param prefix prefix for the key
 * @param field field of the item to use as a key
 * @returns key extractor function for the FlatList
 */
export const useSpecificKeyExtractor = (prefix, field) => useCallback((item, index) => `${prefix}-${item[field]}-${index}`, [prefix, field]);
//# sourceMappingURL=useSpecificKeyExtractor.js.map