import { type SetStateAction } from 'react';
type ObjectFn<T, R = void> = (arg: T) => R;
/**
 * Extends React.useState with a cached non-empty state as a third output value of array
 * @param initialValue initial value as the third value of the state and prevState
 * @returns [state, setState, cachedState] - cachedState is the non-empty state, state is the current state (including undefined and null), setState is the setter for the state
 */
export declare const useStateWithCached: <T>(initialValue: T) => [T, ObjectFn<SetStateAction<T>, void>, T | undefined];
export {};
//# sourceMappingURL=useStateWithCached.d.ts.map